## net.i2p.router.networkdb.kademlia
Class SingleLookupJob

    java.lang.Object
      net.i2p.router.JobImpl
          net.i2p.router.networkdb.kademlia.SingleLookupJob

All Implemented Interfaces:
  Job

     class SingleLookupJob

extends JobImpl

Ask the peer who sent us the DSRM for the RouterInfos. If we have the routerInfo already, try to refetch it from that router itself, (if the info is old or we don't think it is floodfill) which will help us establish that router as a good floodfill and speed our integration into the network. A simple version of SearchReplyJob in SearchJob.java. Skip the profile updates - this should be rare.

Constructor Summary
`SingleLookupJob(RouterContext ctx, DatabaseSearchReplyMessage dsrm)`

Method Summary
`String` `getName()` Descriptive name of the task
`void` `runJob()` Actually perform the task.

Methods inherited from class net.i2p.router.JobImpl
`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SingleLookupJob

    public SingleLookupJob(RouterContext ctx,
                           DatabaseSearchReplyMessage dsrm)

Method Detail

### runJob

    public void runJob()

  Description copied from interface: `Job`
  Actually perform the task. This call blocks until the Job is complete.

### getName

    public String getName()

  Description copied from interface: `Job`
  Descriptive name of the task